de.katho.kBorrow.listener

## Class NewLendingTableButton

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - de.katho.kBorrow.listener.TableButton
    - - de.katho.kBorrow.listener.NewLendingTableButton

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer

    public class NewLendingTableButton
    extends TableButton

Erzeugt den "Neue Ausleihe"-Button in der FreeArticleTable.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serial Version UID

### Fields inherited from class de.katho.kBorrow.listener.TableButton

`buttonE, buttonR`

### Fields inherited from class javax.swing.AbstractCellEditor

`changeEvent, listenerList`

### Constructor Summary

Constructors
Constructor and Description
`NewLendingTableButton(java.lang.String pLabel, javax.swing.JTable pTable, NewLendingPanel pPanel)` Erzeugt den "Neue Ausleihe"-Button in der "Neue Ausleihe"-Tabelle.

### Method Summary

### Methods inherited from class de.katho.kBorrow.listener.TableButton

`getCellEditorValue, getTableCellEditorComponent, getTableCellRendererComponent`

### Methods inherited from class javax.swing.AbstractCellEditor

`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.CellEditor

`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serial Version UID

See Also:
  Constant Field Values

### Constructor Detail

#### NewLendingTableButton

    public NewLendingTableButton(java.lang.String pLabel,
                                 javax.swing.JTable pTable,
                                 NewLendingPanel pPanel)
                          throws java.io.IOException

Erzeugt den "Neue Ausleihe"-Button in der "Neue Ausleihe"-Tabelle.

Parameters:
  `pLabel` - Name des Buttons, dient als Tooltip.
  `pTable` - Referenz auf die FreeArticleTable.
  `pPanel` - Referenz auf das NewLendingsPanel.
Throws:
  `java.io.IOException` - Wenn Probleme beim Einbinden des Icons auftreten.